hr.hr-read-cart {
    border-top: 1px solid #ccc;
    width: 100%;
}

hr.hr-custom-read-cart {
    border-top: 1px solid #ccc;
    width: 100%;
    margin: 10px 0 0 0;
}

.wrapper-read-cart {
    display: flex;
}

.wrapper-left-read-cart {
    display: flex;
    flex-direction: column;
    margin: 20px 20px 0 20px;
    background: #f4f4f4;
    width: 100%;
}

.wrapper-right-read-cart {
    margin: 20px 20px 20px 0;
    display: flex;
    min-width: 400px;
}

.right-box-read-cart {
    border: 1px solid #ccc;
    padding: 10px;
    background: #fff;
    width: 100%;
    height: fit-content;
}

.location-box-read-cart {
    display: flex;
}

.location-box-left-read-cart {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.location-box-right-read-cart {
    text-align: right;
    width: fit-content;
}

.location-box-right-read-cart > a {
    font-size: 14px;
    letter-spacing: 0;
    line-height: 18px;
    margin-bottom: 11px;
}

.location-title-read-cart {
    font-size: 14px;
    color: #9e9e9e;
    letter-spacing: 0;
    line-height: 18px;
    margin-bottom: 11px;
}

.address-line-read-cart {
    color: #202020;
    padding-right: 15px;
    font-style: normal;
    margin: 0;
    padding: 0;
}

.contact-read-cart {
    -webkit-box-flex: 1;
    flex: 1;
    display: flex;
    -webkit-box-pack: start;
    justify-content: flex-start;
    font-size: 14px;
    color: #757575;
    letter-spacing: 0;
    line-height: 21px;
    margin: 10px 0;
}

.order-box-read-cart {
    display: flex;
    flex-direction: column;
}

.order-title-read-cart {
    font-size: 18px;
    color: #212121;
    margin-bottom: 14px;
    position: relative;
    font-weight: 500;
}

.subtotal-box-read-cart {
    display: flex;
}

.subtotal-items-read-cart {
    -webkit-box-flex: 1;
    flex: 1;
    display: flex;
    -webkit-box-pack: start;
    justify-content: flex-start;
    font-size: 14px;
    color: #757575;
    letter-spacing: 0;
    line-height: 21px;
}

.subtotal-cost-read-cart {
    font-size: 16px;
    line-height: 21px;
    text-align: right;
    color: #202020;
    letter-spacing: -.44px;
    vertical-align: middle;
}

.delivery-box-read-cart {
    margin-top: 10px;
    display: flex;
}

.delivery-title-read-cart {
    -webkit-box-flex: 1;
    flex: 1;
    display: flex;
    -webkit-box-pack: start;
    justify-content: flex-start;
    font-size: 14px;
    color: #757575;
    letter-spacing: 0;
    line-height: 21px;
}

.delivery-cost-read-cart {
    font-size: 16px;
    line-height: 21px;
    text-align: right;
    color: #202020;
    letter-spacing: -.44px;
    vertical-align: middle;
}

.voucher-box-read-cart {
    margin-top: 10px;
    display: flex;
}

.voucher-input-box-read-cart {
    width: 100%;
}

.voucher-input-read-cart {
    height: 40px;
    line-height: 40px;
    margin: 0;
    padding: 0 8px;
    font-size: 14px;
    width: 100%;
    border: none;
    outline: none;
    font-weight: 400;
    vertical-align: baseline;
    background-color: transparent;
    border: 1px solid #21b7d1;
}

.voucher-input-read-cart:hover{
    border: 1px solid #448896;
}

.voucher-button-box-read-cart {
    text-align: right;
    margin-left: 10px;
}

.voucher-button-read-cart {
    border: none;
    height: auto;
    line-height: 40px;
    width: 104px;
    display: block;
    background-color: #1a9cb7;
    color: #fff;
    font-size: 14px;
    text-transform: uppercase;
    padding: 0;
}

.voucher-button-read-cart:hover {
    background-color: #448896;
}

.total-box-read-cart {
    margin-top: 10px;
    display: flex;
}

.total-title-read-cart {
    margin-top: 10px;
    width: 50%;
    font-size: 14px;
    color: #202020;
    line-height: 16px;
}

.total-value-read-cart {
    display: table-cell;
    font-size: 25px;
    color: #f57224;
    text-align: right;
    width: 50%;
    -webkit-text-stroke-width: thin;
}

.gst-read-cart {
    font-size: 12px;
    color: #424242;
    letter-spacing: 0;
    line-height: 16px;
    display: block;
    text-align: right;
    margin-top: 5px;
}

.checkout-read-cart {
    width: 100%;
    height: 40px;
    float: right;
    line-height: 14px;
    margin-left: 12px;
    outline: 0;
    color: #fff;
    background-color: #f57224;
    border-color: transparent;
    text-decoration: none;
}

.checkout-read-cart:hover {
    background-color: #e25d1e;
}

.cart-wrapper-read-cart {
    display: flex;
    border: 1px solid #ccc;
    margin-bottom: 20px;
    background: #fff;
    padding: 10px;
}

.cart-image-read-card {
    width: 160px;;
}

.cart-text-box-read-card {
    margin-left: 10px;
    background: #fff;
    width: 100%;
}

.cart-title-read-card {
    max-height: 40px;
    word-break: break-all;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    width: 100%;
    overflow: hidden;
    text-overflow: ellipsis;
    padding-left: 0;
    font-size: 14px;
    color: #212121;
    line-height: 20px;
}

.cart-bottom-box {
    display: flex;
}

.cart-bottom-box-left-wrapper-read-card {
    display: flex;
    flex-direction: column;
}

.cart-bottom-box-right-wrapper-read-card {
    width: 100%;
    text-align: right;
    display: flex;
    justify-content: flex-end;
    align-items: flex-end;
}

.cart-bottom-box-left-read-card {
    display: flex;
}

.cart-bottom-box-sum-read-card {
    background: #fff;
    display: flex;
}

.cart-price-read-card {
    font-size: 14px;
    line-height: 16px;
    color: #757575;
    margin-top: 10px;
    text-decoration: line-through;
}

.cart-discount-read-card {
    font-size: 14px;
    line-height: 16px;
    color: #212121;
    font-weight: 500;
    margin: 10px 0 0 20px;
}

.cart-last-price-read-card {
    font-size: 18px;
    line-height: 28px;
    color: #757575;
    font-weight: 500;
    margin: 0 5px 0 0;
    -webkit-text-stroke-width: thin;
}

.cart-last-price-multiply-read-card {
    font-size: 14px;
    line-height: 28px;
    color: #757575;
    font-weight: 500;
    margin: 0 5px 0 0;
}

.cart-sum-last-price-read-card {
    font-size: 22px;
    line-height: 28px;
    color: #757575;
    font-weight: 500;
    margin: 0 5px 0 0;
    -webkit-text-stroke-width: thin;
}

.change-address-input-title-read-cart {
    font-size: 12px;
    color: #9e9e9e;
    text-align: left;
    margin: 10px 0 2px 10px;
}

.change-address-input-read-cart {
    height: 40px;
    line-height: 40px;
    margin: 0;
    padding: 0 8px;
    font-size: 14px;
    width: 100%;
    border: none;
    outline: none;
    font-weight: 400;
    vertical-align: baseline;
    background-color: transparent;
    border: 1px solid #21b7d1;
}

@media (max-width: 576px) {
    .wrapper-read-cart {
        flex-direction: column-reverse;
    }

    .wrapper-left-read-cart {
        margin: 0 20px 0 20px;
        width: auto;
    }

    .wrapper-right-read-cart {
        margin: 20px 20px 20px 20px;
        width: auto;
        min-width: 0;
    }
    
    .cart-wrapper-read-cart {
        flex-direction: column;
    }
    
    .cart-image-box-read-card {
        text-align: center;
    }
    
    .cart-text-box-read-card {
        margin: 0;
        padding: 0;
    }
}